<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.3.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Added the entity AccessToken.
    -->
    <changeSet id="20210908091021-1" author="jhipster">
        <createTable tableName="access_token">
            <column name="id" type="bigint" autoIncrement="true">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="app_name" type="varchar(255)">
                <constraints nullable="false" unique="true" uniqueConstraintName="ux_access_token__app_name" />
            </column>
            <column name="token" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="token_creation" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="token_expire" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="user_alies" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="created_at" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <column name="updated_at" type="${datetimeType}">
                <constraints nullable="true" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
        <dropDefaultValue tableName="access_token" columnName="token_creation" columnDataType="${datetimeType}"/>
        <dropDefaultValue tableName="access_token" columnName="token_expire" columnDataType="${datetimeType}"/>
        <dropDefaultValue tableName="access_token" columnName="created_at" columnDataType="${datetimeType}"/>
        <dropDefaultValue tableName="access_token" columnName="updated_at" columnDataType="${datetimeType}"/>
    </changeSet>

    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20210908091021-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/access_token.csv"
                  separator=";"
                  tableName="access_token">
            <column name="id" type="numeric"/>
            <column name="app_name" type="string"/>
            <column name="token" type="string"/>
            <column name="token_creation" type="${datetimeType}"/>
            <column name="token_expire" type="${datetimeType}"/>
            <column name="user_alies" type="string"/>
            <column name="created_at" type="${datetimeType}"/>
            <column name="updated_at" type="${datetimeType}"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>
</databaseChangeLog>
